---
title: Create
url: https://www.tines.com/docs/api/stories/story-versions/create/
updated: 2026-01-22T16:03:38+00:00
description: Create a story version.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Stories](https://www.tines.com/llm/docs/api/stories.md) › [Story versions](https://www.tines.com/llm/docs/api/stories/story-versions.md)*

# Create

*[View on tines.com](https://www.tines.com/docs/api/stories/story-versions/create/)*

## Description

Create a story version.

## Request

HTTP Method: **POST**

| Query Parameter | Description                                                                                                                                     |
| --------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| name            | **Optional** The story version name.                                                                                                            |
| draft_id        | **Optional** Specify the draft for which to create a version. [About drafts](https://www.tines.com/docs/stories/change-control/#api-endpoints). |

| Path Parameter | Description          |
| -------------- | -------------------- |
| story_id       | The ID of the story. |

### Sample request

```bash
curl -X POST \
  https://<tenant-domain>/api/v1/stories/<<story_id>>/versions  \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "name": "Test story version"
      }'
```

## Response

A successful request will return a JSON object describing the story version.

### Field description

| Parameter   | Description                             |
| ----------- | --------------------------------------- |
| id          | The story version ID.                   |
| name        | The story version name.                 |
| description | The story description.                  |
| timestamp   | The time the story version was created. |

### Sample response

<!-- cspell:disable -->

```json
{
  "id": 885,
  "name": "API created version",
  "description": "",
  "timestamp": "2023-11-13T11:16:05Z"
}
```

<!-- cspell:enable -->
